<?php
/**
 * @package   AkeebaBackup
 * @copyright Copyright (c)2006-2016 Nicholas K. Dionysopoulos
 * @license   GNU General Public License version 3, or later
 */

/** @var $this \Akeeba\Backup\Admin\View\ControlPanel\Html */

// Protect from unauthorized access
defined('_JEXEC') or die();

?>
{{-- Configuration Wizard pop-up --}}
@if ($this->promptForConfigurationWizard)
	@include('admin:com_akeeba/Configuration/confwiz_modal')
@endif

{{-- mbstring warning --}}
@unless($this->checkMbstring)
	<div class="alert alert-danger">
		@sprintf('COM_AKEEBA_CPANL_ERR_MBSTRING', PHP_VERSION)
	</div>
@endunless

{{-- Front-end backup secret word reminder --}}
@unless(empty($this->frontEndSecretWordIssue))
	<div class="alert alert-danger">
		<h3>@lang('COM_AKEEBA_CPANEL_ERR_FESECRETWORD_HEADER')</h3>
		<p>@lang('COM_AKEEBA_CPANEL_ERR_FESECRETWORD_INTRO')</p>
		<p>{{$this->frontEndSecretWordIssue}}</p>
		<p>
			@lang('COM_AKEEBA_CPANEL_ERR_FESECRETWORD_WHATTODO_JOOMLA')
			@sprintf('COM_AKEEBA_CPANEL_ERR_FESECRETWORD_WHATTODO_COMMON', $this->newSecretWord)
		</p>
		<p>
			<a class="btn btn-success btn-large"
			   href="index.php?option=com_akeeba&view=ControlPanel&task=resetSecretWord&{{JFactory::getSession()->getToken()}}=1">
				<span class="icon icon-white icon-refresh"></span>
				<?php echo JText::_('COM_AKEEBA_CPANEL_BTN_FESECRETWORD_RESET'); ?>
			</a>
		</p>
	</div>
@endunless

{{-- Old PHP version reminder --}}
@include('admin:com_akeeba/ControlPanel/warning_phpversion')

{{-- Wrong media directory permissions --}}
@unless($this->areMediaPermissionsFixed)
	<div id="notfixedperms" class="alert alert-error">
		<h3>@lang('COM_AKEEBA_CONTROLPANEL_WARN_WARNING')</h3>
		<p>@lang('COM_AKEEBA_CONTROLPANEL_WARN_PERMS_L1')</p>
		<p>@lang('COM_AKEEBA_CONTROLPANEL_WARN_PERMS_L2')</p>
		<ol>
			<li>@lang('COM_AKEEBA_CONTROLPANEL_WARN_PERMS_L3A')</li>
			<li>@lang('COM_AKEEBA_CONTROLPANEL_WARN_PERMS_L3B')</li>
		</ol>
		<p>@lang('COM_AKEEBA_CONTROLPANEL_WARN_PERMS_L4')</p>
	</div>
@endunless

{{-- You need to enter your Download ID --}}
@if($this->needsDownloadID)
	<div class="alert alert-success">
		<h3>
			<?php echo JText::_('COM_AKEEBA_CPANEL_MSG_MUSTENTERDLID') ?>
		</h3>
		<p>
			<?php echo JText::sprintf('COM_AKEEBA_LBL_CPANEL_NEEDSDLID','https://www.akeebabackup.com/instructions/1435-akeeba-backup-download-id.html'); ?>
		</p>
		<form name="dlidform" action="index.php" method="post" class="form-inline">
			<input type="hidden" name="option" value="com_akeeba" />
			<input type="hidden" name="view" value="ControlPanel" />
			<input type="hidden" name="task" value="applydlid" />
			<input type="hidden" name="@token()" value="1" />
		<span>
			<?php echo JText::_('COM_AKEEBA_CPANEL_MSG_PASTEDLID') ?>
		</span>
			<input type="text" name="dlid" placeholder="<?php echo JText::_('COM_AKEEBA_CONFIG_DOWNLOADID_LABEL')?>" class="input-xlarge">
			<button type="submit" class="btn btn-success">
				<span class="icon icon-<?php echo version_compare(JVERSION, '3.0.0', 'ge') ? 'checkbox' : 'ok icon-white' ?>"></span>
				<?php echo JText::_('COM_AKEEBA_CPANEL_MSG_APPLYDLID') ?>
			</button>
		</form>
	</div>
@endif

{{-- You have CORE; you need to upgrade, not just enter a Download ID --}}
@if ($this->coreWarningForDownloadID)
	<div class="alert alert-danger">
		<?php echo JText::sprintf('COM_AKEEBA_LBL_CPANEL_NEEDSUPGRADE','https://www.akeebabackup.com/videos/1212-akeeba-backup-core/1617-abtc03-upgrade-core-professional.html'); ?>
	</div>
@endif